Developers
API ReferenceProject Template

Updates the ProjectTemplate resource

PATCH
/project/project-templates/{id}

Updates the ProjectTemplate resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

ProjectTemplate identifier

Request Body

The updated ProjectTemplate resource

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length <= 100
isPublic?boolean

Response Body

curl -X PATCH "https://example.com/project/project-templates/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "isSimple": false,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isPublic": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorName": "string",    "jobPositionName": "string",    "canLogIn": true,    "isExternal": true  }}